cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/image-library" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/image-library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/image-library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"images": [
{
"imageId": "66f7b8b1e13c8d25f4d3d90a",
"url": "https://example.com",
"title": "string",
"alt": "string",
"categoryId": "66f7b8b1e13c8d25f4d3d90a",
"categoryTitle": "string",
"libraryId": "66f7b8b1e13c8d25f4d3d90a",
"libraryTitle": "string",
"source": {
"provider": "upload",
"externalId": "66f7b8b1e13c8d25f4d3d90a",
"pageUrl": "https://example.com",
"photographerName": "Example name",
"photographerUrl": "https://example.com"
}
}
],
"categories": [
{
"_id": "66f7b8b1e13c8d25f4d3d90a",
"title": "string",
"imageCount": 1
}
],
"pagination": {
"page": 1,
"limit": 1,
"totalItems": 1,
"totalAvailableItems": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPreviousPage": true,
"nextPage": 1,
"previousPage": 1
},
"attribution": {
"provider": "Pexels",
"label": "Photos provided by Pexels",
"url": "https://www.pexels.com"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Images
List coach-selectable image library assets
Returns active admin-managed image library assets that coaches can select for workout templates. Pexels source metadata is included when available so UI surfaces can show attribution.
Read collections default to 10 records. limit accepts 1 through 100; larger values use 100. Continue with page using the returned pagination metadata. Image catalogue browsing supports pages 1 through 10. pagination.totalItems describes the accessible browse window; pagination.totalAvailableItems gives the full matching count for bounded catalogues.
Requires the workout_library:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
image-library
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/image-library" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/image-library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/image-library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"images": [
{
"imageId": "66f7b8b1e13c8d25f4d3d90a",
"url": "https://example.com",
"title": "string",
"alt": "string",
"categoryId": "66f7b8b1e13c8d25f4d3d90a",
"categoryTitle": "string",
"libraryId": "66f7b8b1e13c8d25f4d3d90a",
"libraryTitle": "string",
"source": {
"provider": "upload",
"externalId": "66f7b8b1e13c8d25f4d3d90a",
"pageUrl": "https://example.com",
"photographerName": "Example name",
"photographerUrl": "https://example.com"
}
}
],
"categories": [
{
"_id": "66f7b8b1e13c8d25f4d3d90a",
"title": "string",
"imageCount": 1
}
],
"pagination": {
"page": 1,
"limit": 1,
"totalItems": 1,
"totalAvailableItems": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPreviousPage": true,
"nextPage": 1,
"previousPage": 1
},
"attribution": {
"provider": "Pexels",
"label": "Photos provided by Pexels",
"url": "https://www.pexels.com"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}